Open SCAP Library: cvss_impact Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
cvss_impact Struct Reference
CVSS

CVSS impact. More...

`#include <cvss_score.h>`

## Public Member Functions
struct cvss_impact * | cvss_impact_new (void)
struct cvss_impact * | cvss_impact_new_from_vector (const char *cvss_vector)
struct cvss_impact * | cvss_impact_clone (const struct cvss_impact *impact)
void | cvss_impact_free (struct cvss_impact *impact)
void | cvss_impact_describe (const struct cvss_impact *impact, FILE *f)
| Write out a human-readable textual description of CVSS impact contents. More...
struct cvss_metrics * | cvss_impact_get_base_metrics (const struct cvss_impact *impact)
struct cvss_metrics * | cvss_impact_get_temporal_metrics (const struct cvss_impact *impact)
struct cvss_metrics * | cvss_impact_get_environmental_metrics (const struct cvss_impact *impact)
bool | cvss_impact_set_metrics (struct cvss_impact *impact, struct cvss_metrics *metrics)
| Set base, temporal, or environmental metrics (type is determined from the metrics itself) More...
char * | cvss_impact_to_vector (const struct cvss_impact *impact)
Score calculators
Functions to calculate CVSS score. Functions return special float value of NAN on failure. Particularly interesting are: cvss_impact_base_score() cvss_impact_temporal_score() cvss_impact_environmental_score()
float | cvss_impact_base_exploitability_subscore (const struct cvss_impact *impact)
| Calculate exploitability subscore of base score. More...
float | cvss_impact_base_impact_subscore (const struct cvss_impact *impact)
| Calculate impact subscore of base score. More...
float | cvss_impact_base_score (const struct cvss_impact *impact)
| Calculate base score. More...
float | cvss_impact_temporal_multiplier (const struct cvss_impact *impact)
| Calculate temporal multiplier. More...
float | cvss_impact_temporal_score (const struct cvss_impact *impact)
| Calculate temporal score. More...
float | cvss_impact_base_adjusted_impact_subscore (const struct cvss_impact *impact)
| Calculate impact subscore of base score adjusted to particular environment. More...
float | cvss_impact_adjusted_base_score (const struct cvss_impact *impact)
| Calculate base score adjusted to particular environment. More...
float | cvss_impact_adjusted_temporal_score (const struct cvss_impact *impact)
| Calculate temporal score adjusted to particular environment. More...
float | cvss_impact_environmental_score (const struct cvss_impact *impact)
| Calculate environmental score. More...

## Data Fields
struct cvss_metrics * | base_metrics
struct cvss_metrics * | temporal_metrics
struct cvss_metrics * | environmental_metrics

## Detailed Description

CVSS impact.

Contains a base metric and optionally temporal and/or environmental metric.

The documentation for this struct was generated from the following files:

- cvss_priv.h
- cvss_score.h